Plugin Set Active State
Change the active state of a plugin. This operation only applies to supervised plugins. - `active`: starts the supervised plugin process. - `inactive`: stops the supervised plugin process. External plugins cannot be managed with this endpoint and will return a bad request error.
/plugins/{plugin_instance_id}/activeChange the active state of a plugin.
This operation only applies to supervised plugins.
active: starts the supervised plugin process.inactive: stops the supervised plugin process.
External plugins cannot be managed with this endpoint and will return a bad request error.
In: cookie
Path Parameters
Plugin ID.
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/plugins/string/active" \ -H "Content-Type: application/json" \ -d '{ "active": "inactive" }'{ "id": "string", "added_at": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "version": "string", "status": { "active_state": "inactive", "deactivated_at": "2019-08-24T14:15:22Z" }, "manifest": {}, "connection": { "mode": "supervised" }}Plugin List GET
List all plugins that are installed on the instance.
Plugin Update Configuration PATCH
Update the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.